Bug 455220 - exchange Junk folder is gone after upgrade to F9
exchange Junk folder is gone after upgrade to F9
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-14 03:09 EDT by Uri Shohet
Modified: 2009-06-25 04:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 04:37:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 257641 None None None Never

  None (edit)
Description Uri Shohet 2008-07-14 03:09:35 EDT
Description of problem:
after upgrade from Fedora 7 to Fedora 9 the Junk folder in my Exchange account
disappeared and now there's no way to find messages accidentally marked as Junk
and mark them as Not Junk

Version-Release number of selected component (if applicable):
2.22.3

How reproducible:


Steps to Reproduce:
1. set up Microsoft Exchange account on Fedora 7
2. upgrade to Fedora 9
3. 
  
Actual results:
Junk folder that was on the same level as Personal Folders and Favorite Public
Folders disappeared

Expected results:


Additional info:
Comment 1 Matthew Barnes 2008-07-30 09:50:45 EDT
This is tough to reproduce.  Does setting up a new Exchange account restore it?
Comment 2 Uri Shohet 2008-07-30 09:58:01 EDT
no, it doesn't, sorry
Comment 3 Uri Shohet 2008-08-26 10:31:58 EDT
Is it possible to specify which folder SPAM emails should go to when marked as SPAM by bogofilter/spamassassin? For example Exchange's build-in "Junk E-Mail" folder?
Comment 4 Matthew Barnes 2008-08-26 10:45:50 EDT
Not easily.  Perhaps with some well-crafted filter rules, but I'm not even sure about that.  It's a common request from users.

Somewhat confusingly, Evolution's Junk "folder" is actually a search filter which shows messages that have been _tagged_ as "Junk".  The messages aren't actually moved there; they remain hidden in the folder from which they were tagged (usually Inbox).  Clicking "Not Junk" simply removes the "Junk" tag from the a message and restores its visibility in Inbox or wherever it resides.
Comment 5 Uri Shohet 2008-08-26 12:59:23 EDT
The thing is that I can't see the hidden messages, so I can't mark them as "Not Junk". I tried to create a new search folder for all messages in Inbox with Status = "Junk" and the folder remained empty...
Comment 6 Matthew Saltzman 2008-12-27 18:23:15 EST
This is still an issue with F10 evolution-2.24.2-3.fc10.x86_64.  I installed F10 over F8 (did not upgrade), but I used my existing .evolution file.  I had no problem in F8.

If I delete the contents of the Exchange account (.evolution/exchange/ and .evolution/mail/exchange/) and let evo reload it, the junk tags are lost and the junk mail reappears in the Exchange Inbox folder.

The other problem with not having access to the Junk folder is that one can't delete the junk mail either.

Note that there is (at least in my Exchange account) a folder labeled "Personal Folder/Junk E-mail", but there is never mail in it.  The missing Junk file is at the same level as "Personal Folder", and it has a special icon associated with it, not just a plain folder.
Comment 7 Matthew Saltzman 2008-12-30 17:54:57 EST
I notice that the Junk folder in the exchange directory is a subfolder of the Inobox folder.  But the Inbox folder doesn't show the arrow that allows one to expand the folder tree under it.
Comment 8 Mike Chambers 2009-03-07 09:46:31 EST
Is still still a problem?  Is this something that needs to be reported upstream? What happens if users use the File/Backup Settings and File/Restore settings?  In other words, run the backup, do the upgrade, then run the restore?  Would that at least get the folder(s) back?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Matthew Saltzman 2009-03-07 13:46:48 EST
Still an issue with evolution-2.24.5-1.fc10.x86_64.  I suspect it should be upstream.(In reply to comment #8)
> Is still still a problem?  Is this something that needs to be reported
> upstream? 

Still an issue with evolution-2.24.5-1.fc10.x86_64.  I suspect it should be upstream.

> What happens if users use the File/Backup Settings and File/Restore
> settings?  In other words, run the backup, do the upgrade, then run the
> restore?  Would that at least get the folder(s) back?

Sorry, I don't understand.  "Upgrade" to what?
Comment 10 Matthew Saltzman 2009-04-09 10:31:15 EDT
This bug should get a higher severity rating than it has.  Messages that are filtered incorrectly as junk *do not appear* in the message list, so can be missed entirely.  I've missed several time-sensitive messages as a result of this issue.

If you can't reproduce it, please tell us how we can help you debug.

Thanks.
Comment 11 Bug Zapper 2009-06-09 22:04:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Matthew Saltzman 2009-06-10 13:43:58 EDT
Please update Fedora version to 10.  This problem is still an issue in evolution-2.24.5-2.fc10.
Comment 13 Matthew Saltzman 2009-06-10 17:24:20 EDT
A new fact:

Marking a message junk in Outlook causes it to show up in the "Personal Folders/Junk E-mail" folder described above, but marking a message as junk in Evo causes it to disappear.
Comment 14 Matthew Saltzman 2009-06-12 18:57:01 EDT
Strangely, since I accessed the mailbox in Outlook, the behavior has changed.  Now messages that are caught by the spam filter are correctly moved to "Personal Folders/Junk E-mail".  But messages that I flag with the Junk button simply disappear, and those return after Evo crashes or I resync Evo with the server.
Comment 15 Matthew Saltzman 2009-06-14 18:37:49 EDT
Also, messages moved to "Personal Folder/Junk E-mail" by the filters are not automatically marked as read, and tagging a message as "not junk" does not automatically move it back to the folder from whence it came.
Comment 16 Milan Crha 2009-06-24 16:17:32 EDT
Hello and thanks for all the updates. I had a chat with a former
evolution-exchange developer about this, and he told me that there is no Junk folder for an exchange account which can evolution understand. Thus the "Junk E-mail" folder is for Evolution only a regular folder. I cannot explain the initial issue of not showing "Junk E-mail" folder in the UI, but it (un)fortunately fixed itself.

With respect of "Junk"/"Not Junk" buttons/functions in Evolution UI, the "Junk" button marks message as junk and teaches your spam plugin of new spam. As there is no folder evolution uses as Junk folder, and it hides Junk messages by default, they disappear. I'm not aware of any way to show you your "hidden" messages in Evolution UI, maybe by deleting a folder summary and let it refetch from a server. (Which is a thing I think was the reason for your observation in comment #14).

The similar comes for a "Not Junk" button, you teach your spam plugin about ham, which is a good thing to do, and it removes a "junk note", if any, from a message, so you would be able to see it again, but otherwise nothing.

I believe there is an upstream request to add a Junk folder to eexchange, but I doubt there will be any change some time soon, as it's quite long standing issue, and the upstream focus is rather on evolution-mapi now.

Note that even with real Junk folder assigned to Junk E-mail, the messages marked as "Not Junk" would not be transferred to the previous folder, same as they are not with deleted messages, because when other software makes a message Junk, then evolution wouldn't be able to recognize where it comes from.

Are you fine to let me upstream this?
Comment 17 Matthew Saltzman 2009-06-24 17:24:46 EDT
(In reply to comment #16)

> Are you fine to let me upstream this?  

I suppose so.  It's still definitely an issue, as messages marked junk by evo cannot be reviewed to see if they really are legitimate.  I understand the whay the separate junk folder works, and that's fine, but hiding messages with no way to unhide them is definitely not reasonable behavior.

I am planning to try to move to the mapi connector, but it is definitely not ready for prime time at the moment.

Thanks.
Comment 18 Milan Crha 2009-06-25 04:37:04 EDT
I found the upstream bug, it's quite old, and even it contains a patch, it was not approved for some performance issues. See [1] for more information.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=257641

(In reply to comment #17)
> I am planning to try to move to the mapi connector, but it is definitely not
> ready for prime time at the moment.

Yeah, that's true, but upstream is working on this, or plan to do it, at least.

Note You need to log in before you can comment on or make changes to this bug.